import { ShapeSeriesBase } from "./ShapeSeriesBase";
import { ShapeAxisInfoCache } from "./ShapeAxisInfoCache";
import { StyleSelector } from "./StyleSelector";
import { Style } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { DataTemplate } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { CollisionAvoidanceType } from "./CollisionAvoidanceType";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { Series } from "./Series";
import { Rect } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { OwnedPoint } from "./OwnedPoint";
import { ShapeSeriesViewBase } from "./ShapeSeriesViewBase";
import { Marker } from "./Marker";
import { DataContext } from "igniteui-react-core";
import { IDictionary$2 } from "igniteui-react-core";
import { HashPool$2 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { FrameworkElement } from "igniteui-react-core";
import { NumericMarkerManager } from "./NumericMarkerManager";
import { Size } from "igniteui-react-core";
import { PathGeometry } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ScatterPolygonSeries extends ShapeSeriesBase {
    static $t: Type;
    protected bc(): Series;
    protected get_e4(): boolean;
    protected get_ez(): boolean;
    constructor();
    protected vb(): boolean;
    protected wd(a: SeriesView): void;
    xr(a: ScatterPolygonSeriesView): void;
    private xa;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    w7: ScatterPolygonSeriesView;
    w8: ShapeAxisInfoCache;
    private static ye;
    private w5;
    private w6;
    protected get_hasMarkers(): boolean;
    s1(): Brush;
    s2(): Brush;
    qx(): DataTemplate;
    ky(): string;
    w9: StyleSelector;
    yg: Style;
    w4: MarkerType;
    xv: DataTemplate;
    xc: number;
    ht(): number;
    xt: DataTemplate;
    xu: DataTemplate;
    yc: Brush;
    ya: Brush;
    yd: Brush;
    yb: Brush;
    yf: Style;
    wv: CollisionAvoidanceType;
    private w0;
    get w1(): MarkerOutlineMode;
    set w1(a: MarkerOutlineMode);
    w3(): MarkerOutlineMode;
    qj(a: MarkerOutlineMode): void;
    w2: MarkerOutlineMode;
    private ww;
    get wx(): MarkerFillMode;
    set wx(a: MarkerFillMode);
    wz(): MarkerFillMode;
    qi(a: MarkerFillMode): void;
    qk(a: number): void;
    wy: MarkerFillMode;
    protected qf(): void;
    protected ot(): void;
    protected pa(a: any, b: string, c: any, d: any): void;
    au(a: Point, b: boolean): DataContext;
    xs(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    dt(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number): boolean;
    wu(a: ScatterPolygonSeriesView, b: HashPool$2<any, Marker>, c: Point[], d: Rect, e: Rect): Point[];
    xb(a: HashPool$2<any, Marker>, b: List$1<number>): List$1<number>;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterPolygonSeriesView extends ShapeSeriesViewBase {
    static $t: Type;
    constructor(a: ScatterPolygonSeries);
    au(): void;
    get dg(): NumericMarkerManager;
    dk: boolean;
    protected d2(a: IDictionary$2<any, OwnedPoint>): void;
    protected da(): Point[];
    protected dl(): List$1<number>;
    private db;
    private dm;
    private dh;
    private df;
    protected c5(a: number, b: List$1<PointCollection>): PathGeometry;
    cm(a: FrameworkElement, b: any, c: boolean): void;
    protected ck(a: FrameworkElement, b: PathGeometry): void;
    private dj;
    di: HashPool$2<any, Marker>;
    dw(a: (arg1: Marker) => void): void;
    dy(a: HashPool$2<any, Marker>): void;
    de(): Marker;
    protected dn: List$1<Marker>;
    b4(a: Point): Marker;
    private dd;
    d0(a: Marker): void;
    dz(a: Marker): void;
    d1(a: Marker): void;
    d3(a: boolean): void;
    protected bj(a: any, b: number): void;
    private dc;
    protected bk(a: any, b: number): void;
    protected a7(a: RenderingContext, b: boolean): void;
    dv(): void;
    ds(): void;
    dt(): void;
    dq(): void;
    du(): void;
    dr(): void;
    dp(a: string): void;
    dx(): void;
    private d4;
    d5(a: Marker): Size;
    an(a: any): void;
    getDefaultTooltipTemplate(): string;
}
